Name: ebay-cors-filter
Summary: eBay CORS filter
Version: 1.0.1
Release: 0.1.ovirt%{?dist}
License: ASL 2.0
URL: https://github.com/eBay/cors-filter
Source: cors-filter-1.0.1.tar.gz
BuildArch: noarch

Requires: java >= 1:1.7.0
Requires: jpackage-utils
%if 0%{?fedora}
BuildRequires: maven
%endif
%if 0%{?rhel}
%if %{rhel} >= 7
BuildRequires: maven
%endif
%endif

%description
CORS (Cross Origin Resource Sharing) is a mechanism supported by W3C to
enable cross origin requests in web-browsers. CORS requires support from
both browser and server to work. This is a Java servlet filter
implementation of server-side CORS for web containers such as Apache
Tomcat.

%prep
%setup -q -n cors-filter-cors-filter-%{version}

%build

# Tests don't compile with servlet 3.x, as the mock objects miss some of the
# required methods:
mvn package -Dmaven.test.skip=true

%install
install -d %{buildroot}/%{_javadir}/%{name}
install target/cors-filter-%{version}.jar %{buildroot}%{_javadir}/%{name}/cors-filter.jar

%files
%{_javadir}/%{name}
%doc LICENSE
%doc NOTICE
%doc README.md

%changelog
* Wed Jan 28 2015 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.1-0.1
- Initial version.
